Apache log4cxx Version 0.10.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
RolloverDescription Class Reference

Inherits ObjectImpl.

## Public Member Functions
| RolloverDescription ()
| RolloverDescription (const LogString &activeFileName, const bool append, const ActionPtr &synchronous, const ActionPtr &asynchronous)
| Create new instance. More...
LogString | getActiveFileName () const
| Active log file name after rollover. More...
bool | getAppend () const
ActionPtr | getSynchronous () const
| Action to be completed after close of current active log file before returning control to caller. More...
ActionPtr | getAsynchronous () const
| Action to be completed after close of current active log file and before next rollover attempt, may be executed asynchronously. More...
Public Member Functions inherited from ObjectImpl
| ObjectImpl ()
virtual | ~ObjectImpl ()
void | addRef () const
void | releaseRef () const
Public Member Functions inherited from Object
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0

## Additional Inherited Members
Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()
Protected Attributes inherited from ObjectImpl
unsigned int volatile | ref

## Constructor & Destructor Documentation

RolloverDescription | ( |  | ) |

RolloverDescription | ( | const LogString & | activeFileName,
|  | const bool | append,
|  | const ActionPtr & | synchronous,
|  | const ActionPtr & | asynchronous
| ) |  |

Create new instance.

Parameters

  activeFileName | active log file name after rollover, may not be null.
  append | true if active log file after rollover should be opened for appending.
  synchronous | action to be completed after close of current active log file, may be null.
  asynchronous | action to be completed after close of current active log file and before next rollover attempt.

## Member Function Documentation

LogString getActiveFileName | ( |  | ) | const

Active log file name after rollover.

Returns
  active log file name after rollover.

bool getAppend | ( |  | ) | const

ActionPtr getAsynchronous | ( |  | ) | const

Action to be completed after close of current active log file and before next rollover attempt, may be executed asynchronously.

Returns
  action, may be null.

ActionPtr getSynchronous | ( |  | ) | const

Action to be completed after close of current active log file before returning control to caller.

Returns
  action, may be null.

The documentation for this class was generated from the following file:

- rolloverdescription.h